public class LeapYear
{

	public static void testLeapYear(int year)
	{
		boolean isEvery4 = (year % 4 == 0);
		boolean isEvery100 = (year % 100 == 0);
		boolean isEvery400 = (year % 400 == 0);
		boolean isLeapYear = isEvery4 && (!isEvery100 || isEvery400);
		if (isLeapYear)
			System.out.println(year + " is a leap year.");
		else
			System.out.println(year + " is not a leap year.");
	}

	public static void main(String args[])
	{
		int years[] = {1000, 1001, 1900, 1980, 1996, 2000, 2001,
			2092, 2096, 2100, 2104, 2200, 2400, 3000};
		for (int i=0; i< years.length; i++)
		{
			testLeapYear(years[i]);
		}
	}

}
